<?php
if($admin){
  if(!$keyword){
    qqVars('mode','study');
    qqVars('step','wait');
    $data='已进入学习模式，请发送您的问题。学习期间，可发送“结束”退出学习模式';
  }else{
    if($msg=='结束'){
      qqVars('mode','');
      $data='已结束学习模式';
    }else{
      $step=qqVars('step');
      if($step=='wait'){
        $T=DB()->one('question','*',"content=".var_export($msg,true));
        if($T){
          qqVars('step','exists');
          qqVars('qid',$T['qid']);
          
          $data='您提的问题“'.$msg.'”已存在,目前共有'.DB()->rows('faq',"qid='$T[qid]'").'条回答。相关操作:'."
1、“显示所有答案”
2、“删除所有答案”
3、“删除此问题”
4、“跳过”
5、“+[新回答]”
";
        }else{
          DB()->insert('question',array(
            'content'=>$msg,
            'addtime'=>time(),
            'updatetime'=>time(),
          ));
          qqVars('step','exists');
          qqVars('qid',DB()->insert_id());
          $data='您的问题已记录，请直接输入新答案';
        }
      }elseif($step=='exists'){
        if($msg=='显示所有答案' || $msg=='1'){
          $T=DB()->record('answer','content',"aid in (select aid from $#faq where qid='".qqVars('qid')."')");
          $i=0;
          foreach($T as $r){
            $i++;
            $data.=$i.'、'.trim(strip_tags(preg_replace('/\<br[^>]*>/i',"\n",$r['content'])));
          }
        }elseif($msg=='删除所有答案' || $msg=='2'){
          qqVars('step','delconfirm');
          $data='您确定要删除所有答案吗？。相关操作:'."
1、“是”
2、“否”
";
        }elseif($msg=='删除此问题' || $msg=='3'){
          qqVars('step','delconfirm2');
          $data='您确定要删除这个问题吗？。相关操作:'."
1、“是”
2、“否”
";
        }elseif($msg=='5'){
          $data='请直接输入新问题';
        }elseif($msg=='跳过' || $msg=='4'){
          qqVars('step','wait');
          $data='已跳过，请输入新问题';
        }elseif($msg{0}!='+'){
          $data='请在您要增加的回答前面放一加号: +';
        }else{
          $msg=ltrim($msg,'+');
          $aid=DB()->select('answer','aid',"content=".var_export($msg,true));
          if(!$aid){
            DB()->insert('answer',array(
              'content'=>$msg,
              'addtime'=>time(),
              'updatetime'=>time(),
            ));
            $aid=DB()->insert_id();
          }
          DB()->replace('faq',array(
            'aid'=>$aid,
            'qid'=>qqVars('qid'),
          ));
          qqVars('step','wait');
          $data='记忆成功，请输入新问题';
        }
      }elseif($step=='delconfirm'){
        if($msg=='是' || $msg=='1'){
          DB()->delete('answer',"aid in (select aid from $#faq where (qid='".qqVars('qid')."'))");
          DB()->delete('faq',"qid='".qqVars('qid')."'");
          DB()->delete('question',"qid='".qqVars('qid')."'");
          qqVars('step','wait');
          $data='删除成功，请输入新问题';
        }elseif($msg=='否' || $msg=='2'){
          qqVars('step','exists');
          $data='您放弃了删除计划。相关操作:'."
1、“显示所有答案”
2、“删除所有答案”
3、“删除此问题”
4、“跳过”
5、“+[新回答]”
";
        }else{
          $data='无效回答';
        }
      }elseif($step=='delconfirm2'){
        if($msg=='是' || $msg=='1'){
          DB()->delete('faq',"qid='".qqVars('qid')."'");
          DB()->delete('question',"qid='".qqVars('qid')."'");
          qqVars('step','wait');
          $data='删除成功，请输入新问题';
        }elseif($msg=='否' || $msg=='2'){
          qqVars('step','exists');
          $data='您放弃了删除计划。相关操作:'."
1、“显示所有答案”
2、“删除所有答案”
3、“删除此问题”
4、“跳过”
5、“+[新回答]”
";
        }else{
          $data='无效回答';
        }
      }
    }
  }
}
?>